import { Factory, FactoryLevels } from './MethodFactory';
import { PrefixFactoryOptions } from './PrefixFactory';
declare type SomeLevel = number | string;
export interface LogLevelIndex {
    [key: string]: any;
}
export interface LogLevelOptions {
    factory?: Factory;
    id?: string;
    level?: number | string;
    name?: string;
    prefix?: PrefixFactoryOptions;
}
export declare class LogLevel implements LogLevelIndex {
    [key: string]: any;
    name: string;
    type: string;
    private currentLevel;
    private methodFactory;
    private options;
    constructor(options: LogLevelOptions);
    get factory(): Factory;
    set factory(factory: Factory);
    disable(): void;
    enable(): void;
    get level(): number;
    set level(logLevel: SomeLevel);
    get levels(): FactoryLevels;
}
export {};
